zenilib: zenilib/jni/external/sdl/src/render/software/SDL_rotate.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Typedefs | Functions
SDL_rotate.c File Reference
`#include "SDL_config.h"`
`#include <stdlib.h>`
`#include <string.h>`
`#include "SDL.h"`
`#include "SDL_rotate.h"`

Go to the source code of this file.

## Macros

#define | GUARD_ROWS (2)
#define | MAX(a, b) (((a) > (b)) ? (a) : (b))
#define | VALUE_LIMIT 0.001

## Typedefs

typedef struct tColorRGBA | tColorRGBA
typedef struct tColorY | tColorY

## Functions

Uint32 | _colorkey (SDL_Surface *src)
SDL_Surface * | _rotateSurface (SDL_Surface *src, double angle, int centerx, int centery, int smooth, int flipx, int flipy, int dstwidth, int dstheight, double cangle, double sangle)
void | _rotozoomSurfaceSizeTrig (int width, int height, double angle, int *dstwidth, int *dstheight, double *cangle, double *sangle)
void | _transformSurfaceRGBA (SDL_Surface *src, SDL_Surface *dst, int cx, int cy, int isin, int icos, int flipx, int flipy, int smooth)
void | transformSurfaceY (SDL_Surface *src, SDL_Surface *dst, int cx, int cy, int isin, int icos, int flipx, int flipy)

## Macro Definition Documentation

#define GUARD_ROWS (2)

Definition at line 77 of file SDL_rotate.c.

Referenced by _rotateSurface().

#define MAX | ( |  | a,
|  |  | b
| ) |  | (((a) > (b)) ? (a) : (b))

Definition at line 65 of file SDL_rotate.c.

Referenced by _rotozoomSurfaceSizeTrig().

#define VALUE_LIMIT 0.001

Definition at line 82 of file SDL_rotate.c.

## Typedef Documentation

typedef struct tColorRGBA tColorRGBA

typedef struct tColorY tColorY

## Function Documentation

Uint32 _colorkey | ( | SDL_Surface * | src | ) |

Definition at line 87 of file SDL_rotate.c.

References SDL_GetColorKey().

Referenced by _rotateSurface(), and transformSurfaceY().

SDL_Surface* _rotateSurface | ( | SDL_Surface * | src,
|  | double | angle,
|  | int | centerx,
|  | int | centery,
|  | int | smooth,
|  | int | flipx,
|  | int | flipy,
|  | int | dstwidth,
|  | int | dstheight,
|  | double | cangle,
|  | double | sangle
| ) |  |

Definition at line 343 of file SDL_rotate.c.

References _colorkey(), _transformSurfaceRGBA(), SDL_PixelFormat::Amask, SDL_PixelFormat::BitsPerPixel, SDL_PixelFormat::Bmask, SDL_Palette::colors, SDL_Surface::flags, SDL_Surface::format, SDL_PixelFormat::Gmask, GUARD_ROWS, SDL_Surface::h, i, SDL_Palette::ncolors, NULL, SDL_PixelFormat::palette, SDL_PixelFormat::Rmask, SDL_BlitSurface, SDL_BYTEORDER, SDL_CreateRGBSurface(), SDL_FillRect(), SDL_FreeSurface(), SDL_GetRGB(), SDL_LIL_ENDIAN, SDL_LockSurface(), SDL_MapRGB(), SDL_MUSTLOCK, SDL_RLEACCEL, SDL_SetColorKey(), SDL_SWSURFACE, SDL_TRUE, SDL_UnlockSurface(), transformSurfaceY(), and SDL_Surface::w.

Referenced by SW_RenderCopyEx().

void _rotozoomSurfaceSizeTrig | ( | int | width,
|  | int | height,
|  | double | angle,
|  | int * | dstwidth,
|  | int * | dstheight,
|  | double * | cangle,
|  | double * | sangle
| ) |  |

Definition at line 107 of file SDL_rotate.c.

References M_PI, MAX, SDL_ceil(), SDL_cos(), SDL_fabs(), and SDL_sin().

Referenced by SW_RenderCopyEx().

void _transformSurfaceRGBA | ( | SDL_Surface * | src,
|  | SDL_Surface * | dst,
|  | int | cx,
|  | int | cy,
|  | int | isin,
|  | int | icos,
|  | int | flipx,
|  | int | flipy,
|  | int | smooth
| ) |  |

Definition at line 156 of file SDL_rotate.c.

References SDL_Surface::h, if(), SDL_Surface::pitch, SDL_Surface::pixels, t2, and SDL_Surface::w.

Referenced by _rotateSurface().

void transformSurfaceY | ( | SDL_Surface * | src,
|  | SDL_Surface * | dst,
|  | int | cx,
|  | int | cy,
|  | int | isin,
|  | int | icos,
|  | int | flipx,
|  | int | flipy
| ) |  |

Definition at line 273 of file SDL_rotate.c.

References _colorkey(), SDL_Surface::h, SDL_Surface::pitch, SDL_Surface::pixels, SDL_memset(), and SDL_Surface::w.

Referenced by _rotateSurface().